/*
 Theme Name: The Space Kikko - Child Theme
 Theme URI: https://thespacesm.com
 Description: Child theme realizzato da The Space per KikkoUtensili
 Author: The Space
 Author URI: https://thespacesm.com
 Template: thespace-kikko
 Version: 1.0.0
*/

/** Definisco i colori principali **/
:root {
    --primary-color: #ea002a;
    --secondary-color: #f7f7f7;
    --tertiary-color: #333;
    --quaternary-color: #fff;
}

/* Altezza del titolo nelle schedine prodotto dei caroselli */
#product-tab-space h1.product_title.entry-title.elementor-heading-title.elementor-size-default {
    display: block;
    height: 80px !important;
    overflow-y: hidden;
}
/**************** Space Mobile Layered Menu *************/
/*.space-menu-pop .elementor-location-popup .e-con-inner {
    width: auto;
    position: fixed;
    left: 0;
}
.space-menu-pop .dialog-message.dialog-lightbox-message {
    width: auto !important;
}*/
/*.space-menu-pop a.dialog-close-button {
    display: block;
    font-size: 1.2rem;
    color: #fff;
    background: #000;
    border-radius: 10px;
    padding: 10px;
}
.space-menu-pop .elementor-location-popup {
    background-color: #0000008f;
}*/

.elementor-element.space-header {
    position: relative;
    z-index: 9999;
}
.space-mobile-menu .wd-nav-opener,.space-mobile-menu .wd-nav-closer  {
    background: #ededed;
}
.space-mobile-menu-container {
    position: fixed;
    left: -100%; /* Menu nascosto all'inizio, fuori dallo schermo */
    top: 0;
    width: 80%; /* Larghezza del menu */
    height: 100%;
    background-color: #fff; /* Colore di sfondo del menu */
    z-index: 9999; /* Assicurati che sia sopra altri elementi */
    overflow-y: auto;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.5);
    transition: left 0.3s ease; /* Effetto di transizione */
}
.space-mobile-menu-container .wd-nav>li:is(.wd-has-children,.menu-item-has-children)>a:after {
    display: none;
}
/* Stile per l'overlay */
#menu-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw; /* Copre tutta la larghezza dello schermo */
    height: 100vh; /* Copre tutta l'altezza dello schermo */
    background-color: rgba(0, 0, 0, 0.5); /* Overlay semi-trasparente nero */
    z-index: 1; /* Sotto il menu */
    display: none; /* Inizialmente nascosto */
}

/* Mostra l'overlay quando il menu è aperto */
.space-mobile-menu-container.open ~ #menu-overlay {
    display: block;
}

.space-mobile-menu-container.open {
    left: 0; /* Quando il menu è aperto */
}
.space-mobile-menu-container a.woodmart-nav-link {
    font-size: 1rem !important;
    line-height: 20px;
    font-weight: 400 !important;
}

.hamburger-button {
    position: relative;
    z-index: 0!important;
    top: -5px;
    right: -10px;
    font-size: 35px;
    cursor: pointer;
    color: #fff;
}

.space-mobile-menu-items {
    list-style: none;
    padding: 0;
}

.space-mobile-menu-items li {
    padding: 10px 0;
}

/* Stile per i sottomenu: partono fuori schermo a sinistra */
.space-mobile-menu-items .sub-sub-menu,
.space-mobile-menu-items .wd-sub-menu {
    display: none;
    position: absolute;
    top: 0;
    left: -100%; /* Inizialmente fuori schermo a sinistra */
    width: 100%;
    height: 100vh; /* Altezza del sottomenu uguale a tutto lo schermo */
    transition: left 0.3s ease; /* Transizione per il movimento laterale */
    background-color: #fff; /* Colore di sfondo */
}

/* Quando il sottomenu è visibile, entra da sinistra verso destra */
.space-mobile-menu-items .menu-item-has-children.open > .sub-sub-menu,
.space-mobile-menu-items .menu-item-has-children.open > .wd-sub-menu {
    display: block;
    left: 0; /* Spostalo dentro lo schermo */
}

/* Effetto "Back" per uscire verso sinistra */
.space-mobile-menu-items .wd-sub-menu-exit {
    left: -100%; /* Sposta il sottomenu fuori dallo schermo a sinistra quando chiuso */
    transition: left 0.3s ease; /* Transizione per il movimento laterale in uscita */
}
.wd-drilldown-slide {
    overflow: scroll;
    height: 95vh;
}
/* Stile per il pulsante "Back" */
.wd-drilldown-back {
    padding-left: 20px;
    cursor: pointer;
}

/* Stile per l'icona della freccia che indica la presenza di un sottomenu */
.space-mobile-menu-items .has-children > .dropdown-toggle {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}
/* Gestione sottomenu */
.space-mobile-menu-items .menu-item-has-children.open > .sub-sub-menu, .space-mobile-menu-items .menu-item-has-children.open > .wd-sub-menu {
    left: 0;
}

/* Space Megamenu Jarvis */
.elementor-widget-wd_mega_menu {
    z-index: 9999;
    position: relative;
}
.elementor-widget-wd_mega_menu li > .wd-dropdown-menu {
    --sub-menu-color: #848484;
    --sub-menu-color-hover: var(--wd-primary-color);
    position: fixed;
    background: #fff;
    top: 0;
    left: 320px !important; /** solo per desktop **/
    height: 100vh;
    margin-left: -7px;
    padding: 4%;
    min-width: 330px;
    z-index: -1;
}

/** Space Megamenu **/
/* Stile per il menu principale */
#space_menu {
    list-style: none;
    padding: 10px 0;
    margin: 0;
    height: 100px;
    display: flex;
    justify-content: space-around;
    background-color: #f7f7f7;
    border-bottom: 2px solid #ddd;
}

#space_menu li {
    position: relative;
    display: inline-block;
    padding: 20px 5px !important;
    font-size: 1rem;
}
#space_menu > li > a {
    font-size: 18px;
    border: 2px solid red;
    padding: 5px 10px;
    border-radius: 5px;
}
#space_menu .space-subsubmenu li {
    padding: 10px 15px !important;
}
#space_menu ul.space-subsubmenu li a {
    line-height: 20px;
    padding: 0;
    margin: 0;
}
#space_menu .category-nav-link {
    text-decoration: none;
    font-weight: bold;
    color: #333;
    transition: color 0.3s ease;
    display: flex;
    align-items: center;
}

#space_menu .category-nav-link:hover {
    color: var(--primary-color);
}

.space-submenu ul {
    list-style: none;
}
.space-submenu ul li a {
    font-size: 1rem;
    line-height: 20px;
    color: #333;
    background: #f9f9f9;
    padding: 5px 8px;
    display: block;
    border-radius: 5px;
}
ul.space-subsubmenu.row {
    display: flex;
    padding: 0 5px;
}
ul.space-subsubmenu.row li {
    margin: 0;
    height: 25px;
}
ul.space-subsubmenu.row li a {
    display: block;
    font-size: 0.9rem;
    background: transparent;
    padding: 0;
    margin: 0;
    left: 0;
    position: relative;
    line-height: 14px;
}
ul.space-subsubmenu.row li a img {
    display: none;
}
.space-submenu > div > ul > li > a {
    font-size: 0.9rem !important;
    font-weight: bold;
    background: #ededed;
    text-align: right;
    min-height: 80px;
}

.elementor-slides-wrapper.elementor-main-swiper.swiper.swiper-initialized.swiper-horizontal.swiper-pointer-events{
    border-radius: 20px;
}

@media only screen and (min-width: 1024px) {
    .space-submenu {
        display: block;
        left: 0 !important;
        top: 90px !important;
        position: fixed;
        width: 100%;
        height: 90vh;
        overflow-y: scroll;
        background: rgb(255, 255, 255);
        border-radius: 5px;
        box-shadow: rgb(205, 205, 205) 3px 3px 8px;
        padding: 10px 15px 10px 0;
        z-index: 999;
        color: #000;
        border-top: 3px solid red;
    }
}


/* Product extra options */
div#tm-extra-product-options {
    visibility: visible;
}
.tm-extra-product-options-field.tc-row .cpf-section.tc-cell {
    background: #efefef;
    margin: 20px 0;
    border-radius: 10px;
    padding: 3%;
    border: 1px solid #000;
}
.tm-extra-product-options-field.tc-row .cpf-section.tc-cell div:first-of-type.tc-label-wrap {
    display: flex !important;
}
.tm-extra-product-options .tmcp-field-wrap .tc-price {
    float: left !important;
}
/** Configurazioni prodotto **/
.single-product .tc-cell.tc-col-auto.tm-quantity {
    position: absolute;
    right: 20px;
    bottom: 20px;
    z-index: 9;
}
/* Stile tabs scheda prodotto */
.e-n-tabs-heading {
    background-color: white;
    border-radius: 10px;
}

/* Acquista ora al 100% */
a.product_type_bundle.ajax_add_to_cart.elementor-button.elementor-size-md{
    width: 100%!important;
}


/* Correzioni vecchio tema - scheda prodotto */
img.delivery_icon {
    display: none;
}
span.onsale {
    display: none;
}


#space-sp-image img {
    max-width: 140px;
    height: auto;
}


.price-wrapper {
    display: flex!important;
    align-items: center!important;
    justify-content: flex-start!important;
}


.price-wrapper del {
    font-size: 18px!important;
    color: #666!important;
}

.elementor-467357 .elementor-element.elementor-element-4bae11de .woocommerce-price-suffix {
    color: #808080;
    font-weight: 500;
    font-size: 15px;
}


.percentage_single_p {
    position: absolute;
    top: 0px;
    left: 90px;
    background-color: #f8c291;
    color: #E67E22;
    font-size: 14px;
    font-weight: bold;
    border-radius: 5px;
    padding: 5px 10px;
    margin-left: 10px;
}


button#wd-add-to-cart {
    display: none;
}

.quantity{
    height: 40px;
}

input.minus{
    background-color: #E5E5E5!important;
}

input.plus{
    background-color: #E5E5E5!important;
}

div.quantity input[type="number"]{
    background-color: #E5E5E5!important;
    font-size: 15px;
    font-weight: 600;
    border-color:white;
}

div.quantity input[type="button"]{
    border-color:white!important;
}

div.quantity input[type="button"]:hover{
    color:#EA0029!important;
}


form.cart{
    flex-wrap:wrap;
    flex-direction: column;
    gap:25px!important;
}

.remainingTime{
    text-align:center;
}

.single_add_to_cart_button:after {
    content: url('https://kikkoutensili.it/wp-content/uploads/2024/10/bag-1-1.svg')!important;
    display: inline-block!important;
    margin-left: 8px!important;
    position:relative!important;
    margin:0.8em!important;
    opacity:1!important;
    z-index:0!important;
    border:0!important;
}

.wd-plan-footer .add-to-cart-loop:after, .hotspot-content .add_to_cart_button:after, .single_add_to_cart_button:after, .popup-quick-view .wd-scroll-content > a:after, .wd-compare-table .add_to_cart_button:after, .wd-wishlist-rename-save:after, .wd-wishlist-save-btn:after{
    height: unset!important;
    border-left-color: unset!important;
    inset-inline-start: unset!important;
}

.remainingTime:before{
    content: url('http://kikko.thespacesm.com/wp-content/uploads/2024/10/shipping-fast-1.svg')!important;
}

button.configure-product.configure-product-simple.primary.button.btn.btn-primary {
    width: 100%;
    margin-top: 1em;
    margin-bottom: 1em;
    border: 2px solid #2C7BFF;
    border-radius: 10px;
    background-color: #2C7BFF;
    color: white;
    text-transform:none;
    box-shadow: 1px 1px 8px 0px #2c7bff82;
}

.configure-product::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: currentColor; /* Eredita il colore del testo */
    -webkit-mask-image: url('https://kikkoutensili.it/wp-content/uploads/2025/01/settings.svg');
    mask-image: url('https://kikkoutensili.it/wp-content/uploads/2025/01/settings.svg');
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    margin-right: 8px;
    vertical-align: middle;
}

button.configure-product.configure-product-simple.primary.button.btn.btn-primary:hover {
    background-color: black;
    border-color: black;
    color: white;
    box-shadow: 1px 1px 8px 0px #00000082;
}

/** Pagina Archivio prodotti **/
.tax-product_cat .wd-products-with-bg .wd-product, .tax-product_brand .wd-products-with-bg .wd-product {
    position: relative;
    z-index: 1;
}
.tax-product_cat .wd-buttons.wd-pos-r-t, .tax-product_brand .wd-buttons.wd-pos-r-t {
    display: none;
}
.tax-product_cat .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist, .tax-product_brand .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist, .post-type-archive-product .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist, .page-template-default .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
    z-index: 25;
    position: absolute;
    left: 80% !important;
    top: 25px;
}
.tax-product_cat .wd-products-shop-view.products-view-grid_list, .tax-product_brand .wd-products-shop-view.products-view-grid_list {
    display: none;
}
.space-product-brand-thumbnail img {
    display: flex;
    width: 70px;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}
.woocommerce-page .product span.onsale {
    padding: 10px;
    display: block;
    background: #ff8c42;
    font-size: 1rem;
}
.woocommerce-page .wd-add-btn-replace .add-to-cart-loop {
    width: 100% !important;
}
.wpc-filters-range-inputs .ui-slider-horizontal .ui-slider-range {
    background-color: #f10c33;
}

/*.space-prev,
.space-next {
    opacity: 0 !important;
    transition: opacity 0.3s ease !important;
}
.slick-slider:hover .space-prev,
.slick-slider:hover .space-next {
    opacity: 1;
}*/

/* Carosello categorie / ANCHE NO CAROSELLO */
.tax-product_cat .space-content-carousel-cats {
    margin-bottom: 30px;
    /* no carousel */
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
}
.tax-product_cat .category-grid-item {
    text-align: center;
    width: 330px;
    margin: 10px 5px;
}
.tax-product_cat .category-grid-item > div, .tax-product_brand .category-grid-item > div {
    /*box-shadow: 3px 0px 5px 0px #cdcdcd;
    border: 1px solid;*/
    box-shadow: 0px 0px 7px #ededed;
}
.tax-product_cat .category-grid-item .category-image-wrapp {
    background-color: #fff;
    transition: 0.3s;
}
.tax-product_cat .category-grid-item:hover .category-image-wrapp {
    background-color: #efefef;
    transition: 0.3s;
}
.tax-product_cat .category-grid-item a.category-image {
    height: 150px;
}
.tax-product_cat .category-grid-item.product-category img, .tax-product_brand .category-grid-item.product-category img {
    height: 60px;
    width: auto;
    top: 15px;
    position: relative;
    border-radius: 10px;
    /*visibility: hidden;
    opacity: 0;*/
}
.tax-product_cat .category-grid-item .wd-entities-title {
    width: 100% !important;
    height: 50px;
    display: block;
}
.tax-product_cat .category-grid-item .wd-entities-title, .tax-product_brand .category-grid-item .wd-entities-title {
    margin-bottom: 0;
    text-transform: uppercase;
    font-size: 0.9rem;
    line-height: 20px;
    background: rgba(255, 255, 255, 0.8);
    padding: 2%;
}
.tax-product_cat .category-grid-item .more-products a, .tax-product_brand .category-grid-item .more-products a {
    display: none;
}
/*
.tax-product_cat .carousel-container {
    display: block;
    width: 100%;
    clear: both; !* Assicurati che l'elemento occupi tutta la larghezza *!
    overflow: hidden; !* Nasconde il contenuto in eccesso *!
    position: relative; !* Per posizionare correttamente le frecce *!
}
.tax-product_cat .space-carousel-wrapper {
    display: flex; !* Cambia display da block a flex per layout a carosello *!
    flex-wrap: nowrap;
    overflow-x: auto;
    scroll-behavior: smooth;
    width: 100%;
}
.tax-product_cat .category-grid-item {
    flex: 0 0 auto; !* Mantieni gli elementi inline e con larghezza fissa *!
    width: 300px; !* Imposta la larghezza degli elementi del carosello *!
    margin-right: 10px;
}
*/
/* Regole per i pulsanti del carousel */
.tax-product_cat .carousel-prev,
.tax-product_cat .carousel-next,
.tax-product_brand .carousel-prev,
.tax-product_brand .carousel-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 1000;
}

.tax-product_cat .carousel-prev,
.tax-product_brand .carousel-prev {
    left: 10px;
}

.tax-product_cat .carousel-next,
.tax-product_brand .carousel-next {
    right: 10px;
}

/* Nascondi la scrollbar */
.tax-product_cat .space-carousel-wrapper::-webkit-scrollbar,
.tax-product_brand .space-carousel-wrapper::-webkit-scrollbar {
    display: none; /* Nascondi la scrollbar */
}

/* Rimuovo categorie, stelline ecc dal loop prodotti */
.tax-product_cat .wd-product-cats,
.tax-product_cat .star-rating,
.tax-product_cat .wd-product-stock.stock,
.tax-product_cat .wd-product-sku,
.tax-product_cat .fade-in-block.wd-scroll,
.tax-product_brand .wd-product-cats,
.tax-product_brand .star-rating,
.tax-product_brand .wd-product-stock.stock,
.tax-product_brand .wd-product-sku,
.tax-product_brand .fade-in-block.wd-scroll {
    display: none;
}
.tax-product_cat .main-page-wrapper,
.tax-product_brand .main-page-wrapper {
    background-color: rgb(246,246,246);
}
.tax-product_cat .product-wrapper,
.tax-product_brand .product-wrapper {
    background-color: #fff;
}
/* Pagine con shortcode prodotti */
.page-template-default .wd-product .product-wrapper {
    background-color: white !important;
}
.page-template-default .wd-product {
    display: flex;
    flex-direction: column;
    gap: 12px;
}
.page-template-default .wd-product:hover .content-product-imagin {
    background-color: white !important;
}

/* Filter everithing filtri categoria */
.filters-area.always-open {
    margin: 0;
    padding: 10px 0 15px;
}
.wpc-filters-widget-top-container {
    display: none;
}
#WOODMART_Widget_Sorting, #WOODMART_Widget_Price_Filter {
    display: none;
}
.filters-inner-area.wd-grid-g {
    display: block;
}
.wpc-horizontal-layout .wpc-filters-section:not(.wpc-filter-layout-submit-button), .wpc-horizontal-layout.wpc-horizontal-cols-3 .wpc-filters-section:not(.wpc-filter-layout-submit-button) {
    max-width: 25%;
    width: 25%;
    margin-right: 0;
    padding-right: 10px;
}
.filters-inner-area.wd-grid-g h2.widgettitle {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.2rem;
}
.filters-inner-area.wd-grid-g .widget.widget_wpc_filters_widget {
    padding-bottom: 0;
    margin-bottom: 0;
}
.wd-filter-buttons > a {
    padding: 10px 50px;
    border-radius: 10px;
    background: #000;
    border: 2px solid #000;
    color: #fff;
    transition: 0.3s;
}
.wd-filter-buttons > a:hover {
    padding: 10px 50px;
    border-radius: 10px;
    border: 2px solid #000;
    color: #000;
    background: #fff;
    transition: 0.3s;
}
/* Filter Chip Filtri */
.wpc-filter-chips-list li.wpc-filter-chip.wpc-chip-reset-all a {
    border-color: #F10C33 !important;
    color: inherit;
    border-radius: 5px;
    border: 2px solid #F10C33;
    padding: 10px;
}
.wpc-filter-chips-list li.wpc-filter-chip:not(.wpc-chip-reset-all) a {
    border-color: #777 !important;
    color: inherit;
    border-radius: 5px;
    border: 2px solid #cdcdcd;
    padding: 10px;
}
/** Lista dei desideri **/
.wishlist_table .product-add-to-cart a {
    margin: 0 auto 5px !important;
    text-align: center;
    background: #f10c33;
    padding: 10px 15px;
    display: block !important;
    border-radius: 5px;
    color: white;
    font-weight: 500;
    font-family: "Montserrat", Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    transition: 0.3s;
}
.wishlist_table .product-add-to-cart a:hover {
    background: #000;
    transition: 0.3s;
}

/** Pagina shop **/
.product-wrapper .wd-product-stock, .product-wrapper .star-rating  {
    display: none;
}
/* Thankyou page */
.xlwcty_thankyou-template-default .xlwcty_wrap {
    max-width: none !important;
}
.xlwcty_thankyou-template-default .xlwcty_wrap .xlwcty_Box {
    border-radius: 20px !important;
}

.woocommerce-page .space-archive-title {
    height: 40px;
    overflow: hidden;
}
.woocommerce-page .space-archive-price {
    height: 50px;
    line-height: 15px;
}
.woocommerce-page .space-archive-price .price {
    top: 25px;
    position: relative;
}
.home .yith-wcwl-wishlistexistsbrowse a i:before, .home .yith-wcwl-wishlistaddedbrowse a i:before, .woocommerce-page .yith-wcwl-wishlistexistsbrowse a i:before, .woocommerce-page .yith-wcwl-wishlistaddedbrowse a i:before,.woocommerce-page .yith-wcwl-wishlistexistsbrowse a i:before, .single-product .yith-wcwl-wishlistexistsbrowse span i:before, .post-type-archive-product .yith-wcwl-wishlistaddedbrowse a i:before, .page-template-default .yith-wcwl-wishlistaddedbrowse a i:before {
    color: #f10b33;
    padding: 8px 8px 6px;
    background: #fff;
    border-radius: 25px;
    font-size: 1.6rem;
}
.home .yith-wcwl-add-button a i:before, .woocommerce-page .yith-wcwl-add-button a i:before, .product-wrapper .yith-wcwl-add-button a i:before, .post-type-archive-product .yith-wcwl-add-button a i:before, .page-template-default .yith-wcwl-add-button a i:before {
    color: #000;
    padding: 8px 8px 6px;
    background: #fff;
    border-radius: 25px;
}
.single-product .yith-wcwl-add-button a i:before, .single-product .yith-wcwl-wishlistexistsbrowse a i:before{
    font-size: 1.6rem;
    cursor: pointer;
}
.home .yith-wcwl-add-button a:hover i:before, .woocommerce-page .yith-wcwl-add-button a:hover i:before, .product-wrapper .yith-wcwl-add-button a:hover i:before {
    color: #f10b33;
}
.woocommerce-page:not(.single-product) .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist .feedback {
    display: none;
}
.woocommerce-page .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist .feedback  i {
    display: none;
}
.woocommerce-page .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist .feedback {
    display: block;
}
.yith-wcwl-wishlistexistsbrowse a {
    display: none;
}

/* Scheda prodotto con varianti */
p.beta-reseller {
    background-color: #ef7f002b;
    font-size: 16px;
    padding: 5px 11px;
    border-radius: 10px;
    margin: 0px;
    display: flex;
    text-align: left;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}

.beta-brand {
    display: flex;
    flex-direction: column-reverse;
    gap: 0px;
    text-align: left;
}

svg.space-beta-verified {
    width: 25px;
    height: 40px;
    margin-right: 10px;
}

.star-rating span{
    color: #ea002a;
}

p.price.product-page-price.price-on-sale {
    display: grid;
}

.woocommerce-variation-add-to-cart{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 20px!important;
}

.variations tr {
    display: flex;
    flex-direction: column;
}

.variations th.label {
    margin-bottom: 5px; /* Spazio tra la parola "Modelli" e il selettore */
}

.table.variations{
    margin-bottom:0px!important;
}

select#pa_modelli {
    background-color: #e5e5e5;
    border-color: #e5e5e5;
    font-weight: 600;
    font-size: 15px;
    border-radius: 10px;
    color: black;
}

select#pa_composizioni {
    background-color: #e5e5e5;
    border-color: #e5e5e5;
    font-weight: 600;
    font-size: 15px;
    border-radius: 10px;
    color: black;
}
/** Configuratore Prodotti **/
.mkl_pc.opened .pc_configurator_form {
    display: none !important;
}
.mkl_pc.opened .cancel span.space-span {
    display: block !important;
    border-radius: 5px;
    background: #2C7BFF;
    padding: 10px 20px;
    right: -20px;
    color: #fff;
    box-shadow: 0 0 5px #2C7BFF;
    font-size: 0.8rem !important;
    position: absolute;
}
.mkl_pc.opened .space.product-name {
    width: 80%;
}
/* Immagine configuratore */
.mkl_pc .mkl_pc_container .mkl_pc_viewer .mkl_pc_layers img {
    max-width: 600px;
}
/* Resetta configuratore */
.mkl_pc .mkl_pc_container footer button.reset-configuration {
    border-radius: 5px;
    background: #F6E7E9 !important;
    box-shadow: 0px 0px 5px #f20000 !important;
}
.mkl_pc .mkl_pc_container .mkl_pc_toolbar > header h3:not(.space).product-name {
    display: none !important;
}
.mkl_pc .mkl_pc_container .mkl_pc_toolbar > header > .cancel::before, .mkl_pc .mkl_pc_container .mkl_pc_toolbar > header > .cancel::after {
    display: none !important;
}
/*Old configurator CSS*/
.tc-mode-images .tc-label-wrap, .tc-mode-color .tc-label-wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    width: max-content;
}

.tm-extra-product-options .radio_image, .tm-extra-product-options .checkbox_image {
    border: 1px solid transparent;
    border-radius: 10px;
    display: inline-block !important;
    height: 100px;
    width: auto;
    margin: auto;
    margin-right: 20px;
    max-width: 100%;
    padding: 1px;
    pointer-events: none !important;
    vertical-align: middle;
    text-align: left;
}

.tm-extra-product-options .tc-col-auto, .tm-extra-product-options .tc-cell.tc-col-auto, .tc-cell.tc-col-auto, .tc-col-auto {
    display: flex;
    align-items: center;
}


.commentlist>li {
    border: solid 1px white;
    border-radius: 10px;
    background: white;
    margin: 20px 0px 20px 0px;
    padding: 40px;
    border-bottom: unset !important;
    padding-bottom: 40px !important;
}

p.comment-form-pros{
    display: none!important;
}

p.comment-form-cons{
    display: none!important;
}


/*.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices .layer_choices li.choices-list li {
    width: 100%!important;
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices .layer_choices li.choices-list li span.choice-price {
    text-align: center;
}*/

/* Media query sopra i 1024 px*/
@media (min-width: 1024px) {
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar {
        width: 700px !important;
    }
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar {
    border-left: solid 1px #ececec;
}

li.choices-list {
    background-color: #80808026;
}

button.choice-item {
    background-color: white !important;
}


.mkl_pc .mkl_pc_container .mkl_pc_viewer .mkl_pc_layers img {
    left: 35%!important;
}

li.space-pers-color button.choice-item {
    background-color: #ececec !important;
}

i.mkl-pc-thumbnail span{
    border-radius: 5px;
    border: solid 2px white;
}


button.primary.button.btn.btn-primary.configurator-add-to-cart {
    color: white;
    background: #ea002a;
    border-radius: 10px;
    border: 1px solid #ea002a;
    padding: 20px 45px;
}

button.primary.button.btn.btn-primary.configurator-add-to-cart:hover {
    color: white;
    background: black;
    border: 1px solid black;
    padding: 20px 45px;
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices > ul > li{
    margin-bottom: unset!important;
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices > ul button.layer-item{
    border-bottom: solid 1px #ececec;
    padding-top: 20px;
    padding-bottom: 20px;
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices .layer_choices li.choices-list li span.choice-price{
    text-align: center;
}

span.choice-thumb {
    display: none;
}

.mkl_pc .mkl_pc_container .mkl_pc_toolbar section.choices > ul .layer-item i img{
    border-radius: 5px;
}



/*Inizio modifiche bundles*/
.bundled_product_summary .bundled_product_images img{
    border-radius: 10px;
}

table.bundled_products td.bundled_item_col {
    vertical-align: middle!important;
    border: 0!important;
}

h4.bundled_product_title.product_title{
    margin-bottom: 0px!important;
}

th.bundled_item_col.bundled_item_qty_head {
    display: none;
}

.bundle_button {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

th.bundled_item_col.bundled_item_images_head {
    display: none;
}

.bundled_product_title_inner span.item_title {
    font-weight: 500;
    letter-spacing: 0px;
}




.elementor-menu-cart__main{
    width: 500px!important;
}

.wpc-inner-widget-chips-wrapper {
    background-color: #f6f6f6;
}


h5.widget-title.color-scheme-dark {
    text-transform: capitalize;
    background-color: #EA002AFF !important;
    border-radius: 50px !important;
    padding: 10px 20px 10px 53px;
    margin: 0px 30px 30px 10px;
    text-align: left;
    color: white;
}

/** Pagina Brand **/
.space-product-brands-grid .space-brand-item {
    background: #fff;
    display: flex;
    align-content: space-around;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    height: 200px;
    flex: 0 0 calc(20% - 20px);
}
.space-product-brands-grid .space-brand-item img {
    width: 150px;
}
/* Tablet: 3 colonne */
@media only screen and (min-width: 1025px) {
    .space-brand-item-anchor {
        flex: 0 0 calc(20% - 20px); /* 5 colonne per desktop */
        text-align: center;
    }
}
@media only screen and (max-width: 1024px) {
    .space-brand-item-anchor {
        flex: 0 0 calc(33.33% - 20px); /* 3 colonne per tablet */
    }
}

/* Smartphone: 2 colonne */
@media only screen and (max-width: 768px) {
    .space-brand-item-anchor {
        flex: 0 0 calc(50% - 20px); /* 2 colonne per smartphone */
    }
}

/* Smartphone verticale: 1 colonna */
@media only screen and (max-width: 480px) {
    .space-brand-item-anchor {
        flex: 0 0 calc(50% - 10px); /* 2 colonne per smartphone verticale */
    }
    /* Configuratore */
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar > header .cancel {
        position: relative !important;
        top: 10px !important;
        width: 90% !important;
        right: 0 !important;
    }
    .mkl_pc.opened .cancel span.space-span {
        width: 100%;
        position: relative;
        margin: 2%;
    }
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar {
        /*top: 20% !important;*/
    }
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar > header h3 {
        padding: inherit !important;
        margin-right: unset !important;
    }
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar h3.product-name, .mkl_pc .mkl_pc_container .mkl_pc_toolbar h3.space.product-name {
        min-height: 55px !important;
    }
    .mkl_pc .mkl_pc_container .mkl_pc_toolbar > header:last-of-type {
        display: none !important;
    }
    .mkl_pc.opened .space.product-name {
        width: 100%;
    }
    .reset-configuration {
        background: #F6E7E9 !important;
        color: #000 !important;
    }
    /* Vecchio configuratore */
    .tc-mode-images .tc-label-wrap, .tc-mode-color .tc-label-wrap {
        width: fit-content !important;
    }
    .tc-cell.tc-col-auto.tm-quantity {
        bottom: 0 !important;
    }
}

/* Newsletter */
.row.newsletter {
    margin: 0 auto;
}
/*Pagine categoria*/
/*tax-product_cat .category-grid-item > div {
    box-shadow: unset!important;
    border: 10px solid white!important;
}*/

.tax-product_cat .category-grid-item .wd-entities-title {
    margin-bottom: 0;
    text-transform: uppercase;
    font-size: 0.8rem;
    line-height: 20px;
    /*background: rgba(255, 255, 255, 0.8);*/
    background: transparent;
    padding: 5px 0 !important;
    border-radius: 10px;
    /*border: 2px solid #000000;*/
    border: none;
    color: #000000;
    text-align: center;
    /*box-shadow: 0px 0px 6px 0px #88888899;*/
    box-shadow: none;
    vertical-align: middle;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat';
    font-weight: 600;
    text-transform: capitalize;
    font-size: 1rem;
}
.tax-product_cat .category-grid-item .hover-mask {
    width: 90%;
}

/* Single product */
.single-product .elementor-widget-wd_single_product_content ul li {
    list-style: none;
    position: relative;
    padding-left: 30px;
    margin: 30px 0;
}
.single-product .elementor-widget-wd_single_product_content ul li:before {
    content: "";
    display: block;
    height: 30px;
    width: 30px;
    position: absolute;
    left: -20px;
    top: 0;
    background: #fff url(/wp-content/uploads/2024/10/check-mark-1.svg) no-repeat center center;
    background-size: 20px 20px; /* Regola le dimensioni dell'immagine se necessario */
    border-radius: 50%; /* Per un cerchio perfetto */
    padding: 0;
}

/** Checkout **/
.woocommerce-checkout .elementor-location-header {
    display: none;
}
.woocommerce-checkout .elementor-location-footer {
    display: none;
}
.woocommerce-checkout div#wc_checkout_add_ons {
    display: block;
    background: #fff;
    padding: 40px 30px;
    border-radius: 10px;
    width: auto;
    margin-top: 30px !important;
}
.woocommerce-checkout .website-wrapper :is(.woocommerce-form-coupon-toggle,.woocommerce-form-login-toggle)>div {
    text-align: center;
    justify-content: center;
}
.woocommerce-checkout div.theChampLoginButtonBackground {
    margin-right: 0 !important;
    border-radius: 10px !important;
    border: 2px solid #000;
    font-family: 'Montserrat' !important;
    display: flex !important;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}
.woocommerce-checkout div.theChampGoogleLoginBackground div.theChampLoginButtonText {
    border-color: transparent !important;
    font-family: 'Montserrat' !important;
    text-transform: uppercase;
    font-size: 1rem !important;
    color: #000;
}
.woocommerce-checkout :is(.checkout_coupon,.login.hidden-form) {
    max-width: 100%;
}
.woocommerce-checkout #stripe-payment-data > p:after {
    width: 40%;
    height: 18px;
    content: "Il più scelto dai clienti";
    font-size: 11px;
    color: #fff;
    font-weight: bold;
    background: #03b34f;
    display: inline-block;
    border-radius: 30px;
    padding: 1px 5px;
    text-align: center;
    margin: 0 0 0 15px;
    text-transform: uppercase;
}

/** Side cart carrello laterale **/
.elementor-menu-cart__wrapper .elementor-button--view-cart {
    display: none !important;
}
.space-minicart-discount {
    text-align: center;
    font-size: 1rem;
    height: auto;
    border: 1px solid;
    padding: 15px 0 0;
    border-radius: 9px;
    background: #f9f9f9;
}
.woocommerce-mini-cart__buttons .checkout {
    margin: 40px 0;
}
.woocommerce-mini-cart__buttons .btn-cart, .widget_shopping_cart_content .shopping-cart-widget-footer .button.btn-cart {
    display: none !important;
}


@media only screen and (max-width: 480px) {
    /** categorie **/
    .tax-product_cat .category-grid-item {
        text-align: center;
        width: 44%;
        margin: 10px 10px;
    }
    .cat-design-default .hover-mask {
         position: relative;
         bottom: 10px;
         left: 10px;
         display: block;
         padding: 0 !important;
         text-align: left;
    }
    .wd-shop-tools {
        width: 100%;
        text-align: center;
    }
    .wd-shop-tools .wd-filter-buttons {
        width: 100%;
        text-align: center;
        margin: 15px 0 0;
    }
    .wd-shop-tools .wd-filter-buttons > a {
        width: 100%;
    }
    /* checkou */
    .woocommerce-checkout #stripe-payment-data > p:after {
        width: 100%;
        margin: 0;
    }
}

div.theChampLoginButtonBackground {
    margin-right: 0 !important;
    margin-bottom: 10px!important;
    border-radius: 5px !important;
    border: 2px solid #000;
    font-family: 'Montserrat' !important;
    display: flex !important;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}
div.theChampGoogleLoginBackground div.theChampLoginButtonText {
    border-color: transparent !important;
    font-family: 'Montserrat' !important;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 1rem !important;
    color: #000;
}

svg#yith-wcwl-icon-heart-outline {
    width: 40px!important;
    background-color: white!important;
    border-radius: 100px!important;
    padding: 7px!important;
}

.yith-wcwl-add-to-wishlist.exists svg.yith-wcwl-icon-svg {
    width: 60%!important;
    background-color: white !important;
    border-radius: 100px !important;
    padding: 7px !important;
}


.comment-form-rating .stars:nth-of-type(2) {
    display: none;
}

@media only screen and (max-width: 768px) {
    .comment-form .comment-form-rating select{
        display:block!important;
    }
}

body:not(.page-id-35064):not(.space-cat-no-children) .wd-loop-footer.products-footer{
    display:block!important;
    padding-bottom: 40px;
}


/*CSS ELIA SCONTI DI PRIMAVERA*/
/*.term-sconti-di-primavera h1.titolo-woo-space.titolo-woo-space-cat::after{
    content: "10% DI SCONTO EXTRA";
    display: block;
    white-space: pre-line;
    margin-top: 12px;
    font-size: 22px;
    line-height: 1.2;
    color: #000;
    font-weight: 600;
}*/

.term-sconti-di-primavera h1.titolo-woo-space.titolo-woo-space-cat::after {
    content: "10% DI SCONTO EXTRA";
    display: block;
    white-space: pre-line;
    margin-top: 12px;
    font-size: 22px;
    line-height: 1.2;
    color: #000;
    font-weight: 600;
}

.term-sconti-di-primavera .wd-products-element:before {
    content: "Sconto applicato automaticamente nel carrello\A\A Ti basterà inserire il/i prodotto/i desiderati nel carrello e vedrai lo sconto applicato prima del pagamento";
    display: block;
    white-space: pre-line;
    margin-top: 12px;
    font-size: 16px;
    line-height: 0.9;
    color: #000;
    text-align: center;
    padding-bottom: 20px;
}

@media only screen and (max-width: 1024px) {
	.carosello-home .slide {
		height: 1200px !important;
	}
}

@media only screen and (max-width: 768px) {
	div#comments {
		display: none !important;
	}
}

/* Cat novità fix etichetta spedizione */
@media only screen and (min-width: 1024px) {
	.page-id-35064 div.br_alabel {
			display: block !important;
			top: 265px !important;
			right: 5px !important;
			z-index: 9;
	}
}


@media only screen and (max-width: 1024px) {
	.page-id-35064 div.br_alabel {
			display: block !important;
			top: 122px !important;
    		left: 5px !important;
			z-index: 9;
	}
}

/* FIX BUG MEGAMENU DESKTOP*/
@media only screen and (min-width: 1024px) {
	/*.color-scheme-dark.wd-design-default.wd-dropdown-menu.wd-dropdown h3.space-menu-category-title,*/
	.color-scheme-dark.wd-design-default.wd-dropdown-menu.wd-dropdown img {
	display:none !important;
	}
	.elementor-widget-wd_mega_menu li>.wd-dropdown-menu {
    	overflow: hidden !important;
	}
	.color-scheme-dark.wd-design-default.wd-dropdown-menu.wd-dropdown h3.space-menu-category-title {
    font-size: 16px !important;
    margin-bottom: 5px !important;
	}
	.color-scheme-dark.wd-design-default.wd-dropdown-menu.wd-dropdown a.woodmart-nav-link {
    padding: 10px 12px 10px 0 !important;
	}
}

/* Label spedizione gratuit */
div.br_alabel.berocket_alabel_id_3206 > span {
    height: 35px !important;
    width: 85px !important;
    background-color: #ffd2c7 !important;
    color: #1f1f1f !important;
    border-radius: 50px !important;
    line-height: 10px !important;
    font-size: 11px !important;
    margin-right: 10px !important;
    margin-top: 255px !important;
}

#spedizione-gratis-scheda-prodotto div#spedizione-gratuita {
    background-color: #fbe0e0;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 600;
    padding: 3px 10px;
    border-radius: 30px;
}

/* Checkout */
.woocommerce-checkout form.login.woocommerce-form.woocommerce-form-login.hidden-form {
    display: block !important;
	background-color: #e4e4e4 !important;
}

/* Fix wishlist */
@media (max-width: 768px) {
    svg#yith-wcwl-icon-heart-outline {
        width: 40px !important;
        right: 15px !important;
        top: -4px !important;
        background-color: white !important;
        border-radius: 100px !important;
        padding: 7px !important;
    }
}

/* Thank you page*/
.page-id-7 p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
    background-color: #16b516;
    color: white !important;
    border: 0px !important;
}

.page-id-7 h2.wc-bacs-bank-details-heading,
.page-id-7 h2.woocommerce-order-details__title {
    font-size: 25px;
    background-color: #1e1e1e;
    color: #ffffff;
    border-radius: 10px;
    padding: 5px 10px;
    margin-bottom: 40px;
    text-align: center;
}

.page-id-7 h2.woocommerce-column__title {
    font-size: 20px;
    font-weight: 700;
}

.page-id-7 .woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1,
.page-id-7 .woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address.col-2 {
    border: 2px solid #000000;
    border-radius: 10px;
    padding: 20px;
    background-color: white;
}

.page-id-7 h3.wc-bacs-bank-details-account-name {
    text-align: center;
    color: black;
    opacity: 1;
}

.page-id-7 td.woocommerce-table__product-name.product-name a {
    text-decoration: underline !important;
}

@media (min-width: 1024px) {
.page-id-7 section.woocommerce-columns.woocommerce-columns--2.woocommerce-columns--addresses.col2-set.addresses {
    gap: 10px;
}

.page-id-7 .col2-set :is(.col-1,.col-2) {
    flex: 1 0 50%;
    padding-inline: 15px;
    max-width: 49%;
}
	
	.page-id-7 .container, .container-fluid {
    width: 60%;
}
}

@media (max-width: 768px) {
	.page-id-7 .woocommerce-thankyou-order-received {
		font-size: 17px !important;
	}
	
	.page-id-7 h2.wc-bacs-bank-details-heading, .page-id-7 h2.woocommerce-order-details__title {
		font-size: 18px !important;
	}
	
	.page-id-7 section.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1,
	.page-id-7 section.woocommerce-columns.woocommerce-columns--2.woocommerce-columns--addresses.col2-set.addresses  {
    max-width: 90%;
    margin: 0 auto;
    display: block; 
	}
	
	.page-id-7 .woocommerce-column address {
    font-size: 15px !important;
    line-height: 25px;
	}
	
	.page-id-7 .woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1 {
    margin-bottom: 30px;
	}
	
	.woocommerce-order.wd-with-extra-content p {
    font-size: 15px !important;
	}
}

/* Cart */
.elementor-menu-cart__container .elementor-menu-cart__main .woocommerce-mini-cart.cart_list {
    max-height: 55vh;
    overflow-y: auto;
    position: relative;}

.elementor-menu-cart__container .elementor-menu-cart__main .woocommerce-mini-cart.cart_list::after 	{
    content: "";
    position: sticky;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px; 
    pointer-events: none; 
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
	   display: block;
     width: 100%;
	}

:is(html,body):has(.elementor-menu-cart__container.elementor-lightbox[aria-hidden="false"]) {
overflow:hidden;
}

@media only screen and (max-width: 600px) {
  .elementor-menu-cart__container .elementor-menu-cart__main .woocommerce-mini-cart.cart_list {
    max-height: 35vh;
	}

.elementor-menu-cart__container .space-minicart-discount {
		padding:0;
	}
	
.elementor-menu-cart__container .space-minicart-discount .woocommerce-mini-cart__discount {
    margin: 10px;
	  font-size:14px;
}
	
}